version: '3.6'
services:
  postgres:
    build:
      context: ./postgres
      dockerfile: ./postgres.Dockerfile
    restart: always
    volumes:
    - db_data:/var/lib/postgresql/data
    ports:
    - "5432:5432"
      #  graphql-engine:
      #    build:
      #      context: ./hasura
      #      dockerfile: ./hasura.Dockerfile
      #    ports:
      #    - "8080:8080"
      #    restart: always
      #    environment:
      #      HASURA_GRAPHQL_DATABASE_URL: postgres://hasura:hasura@postgres:5432/test
      #      HASURA_GRAPHQL_ENABLE_CONSOLE: "true" # set to "false" to disable console
      #      HASURA_GRAPHQL_AUTH_HOOK: "http://dockerhost:4000/hook/auth"
      #      HASURA_GRAPHQL_ADMIN_SECRET: myadminsecretkey
      #      HASURA_GRAPHQL_CONSOLE_ASSETS_DIR: /srv/console-assets
      #  dockerhost:
      #    image: qoomon/docker-host
      #    cap_add:
      #      - NET_ADMIN
      #      - NET_RAW
      #    restart: on-failure
volumes:
  db_data:
